Your message dated Tue, 07 Jan 2025 11:34:39 +0000
with message-id <[email protected]>
and subject line Bug#1087835: fixed in diffutils 1:3.10-2
has caused the Debian Bug report #1087835,
regarding Add autopkgtest to diffutils
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [email protected]
immediately.)


-- 
1087835: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1087835
Debian Bug Tracking System
Contact [email protected] with problems
--- Begin Message ---
Source: diffutils
Version: 1:3.10-1
Severity: wishlist
Tags: patch

Dear Maintainer,

Please find the attached patch to enable running tests as part of autopkgtest.

Since there was no official repository available, I downloaded the diffutils 
tarball and made the necessary changes to run autopkgtest
The patch has been verified against the downloaded tarball.
Just for your information I created folder called tests under debian folder and 
added 2 files(control, upstream).


http://deb.debian.org/debian/pool/main/d/diffutils/diffutils_3.10-1.debian.tar.xz
http://deb.debian.org/debian/pool/main/d/diffutils/diffutils_3.10.orig.tar.xz


-- System Information:
Debian Release: 12.7
APT prefers stable-updates
APT policy: (500, 'stable-updates'), (500, 'stable-security'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 6.1.0-26-amd64 (SMP w/8 CPU threads; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /usr/bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled


Thanks & Regards
Zaiba Sanglikar
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..8332849
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,3 @@
+Tests: upstream
+Depends:@,@builddeps@
+Restrictions: allow-stderr
diff --git a/debian/tests/upstream b/debian/tests/upstream
new file mode 100644
index 0000000..39374e3
--- /dev/null
+++ b/debian/tests/upstream
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -ex
+
+echo "=============tests================"
+cd tests
+
+make check
+
+echo "=============gnulib-tests================"
+cd ../gnulib-tests
+
+make check

--- End Message ---
--- Begin Message ---
Source: diffutils
Source-Version: 1:3.10-2
Done: Santiago Vila <[email protected]>

We believe that the bug you reported is fixed in the latest version of
diffutils, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to [email protected],
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <[email protected]> (supplier of updated diffutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing [email protected])


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 07 Jan 2025 12:15:00 +0100
Source: diffutils
Architecture: source
Version: 1:3.10-2
Distribution: unstable
Urgency: medium
Maintainer: Santiago Vila <[email protected]>
Changed-By: Santiago Vila <[email protected]>
Closes: 1087835
Changes:
 diffutils (1:3.10-2) unstable; urgency=medium
 .
   * Add a preliminary debian/salsa-ci.yml.
   * Add autopkgtests. Closes: #1087835.
   * Do not trim Debian changelog.
   * Update Standards-Version.
Checksums-Sha1:
 b1dadaa62776ec56338c7f4acfe9a51e8a94ac17 1737 diffutils_3.10-2.dsc
 739f96a125e9328d90b21dc4819c8c9c8b90db5e 14244 diffutils_3.10-2.debian.tar.xz
 8ce917de753d5d6baf1df836ede349f831de1bb9 5392 diffutils_3.10-2_source.buildinfo
Checksums-Sha256:
 e66b646eec15edcd185e4cc085deb8fe2925912a632a40cc98017f66ffecbab4 1737 
diffutils_3.10-2.dsc
 8791e985aa96c331a8994484936b0da5b86373648f32feb29d47864f0488d613 14244 
diffutils_3.10-2.debian.tar.xz
 a95b9f12e444118ebc97539da33dea4f83bc5c7072872f9b064f977147b6614f 5392 
diffutils_3.10-2_source.buildinfo
Files:
 27ec7b402db3bf440a391b839af2abbd 1737 utils required diffutils_3.10-2.dsc
 e3f6733756f8b2680154d0c62fd7f055 14244 utils required 
diffutils_3.10-2.debian.tar.xz
 161feb3ac7b8300668662bd7b1b43883 5392 utils required 
diffutils_3.10-2_source.buildinfo
-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEE1Uw7+v+wQt44LaXXQc5/C58bizIFAmd9DmUACgkQQc5/C58b
izKQ1QgAo9qatfWtjwLlN4yD6PqmuX0bWe9vZUCZyGjS66LXfI7weEWpwv8z19vV
cN5AXea5B6v8CbjqzWGsZ2nmUcEoXZRwjB98XM0xZVsiflbwLm90y3Lkb9BrrfBh
Ccx8AIV4hXX671UEZQ/MMszeXsNorZ3e/4FA2bzU4nFnXtMhnnKzaOQrFje+nN79
7TXFV7lqXeCG4Sn48CiEStEFOWQ0AbO7bkUZDzpcS02cNsLiMNKrNoEJGgqWpgAe
JeSwowh2Hq5CeBIYa8/0VmAuKLnk2CMQtVUWiUeiNHGqlqrYC46jVKq7m3MFPva5
qvvyIxL2L5WL8PL+hjZp6Sixfl5dWg==
=JpUX
-----END PGP SIGNATURE-----

Attachment: pgplNUoK4kEdK.pgp
Description: PGP signature


--- End Message ---

Reply via email to